#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include "testlib.h"
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;

int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;


int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	int diff = opt<int>("diff");
	int t = rnd.next(0, 24 * 60 - 1);
	for (int i = 0; i < 2; i++) {
		int h = (t + diff * i) / 60 % 24;
		int m = (t + diff * i) % 60;
		string s = "";
		s += (char) ('0' + h / 10);
		s += (char) ('0' + h % 10);
		s += ':';
		s += (char) ('0' + m / 10);
		s += (char) ('0' + m % 10);
		cout << s << '\n';
	}

	return 0;
}